/* Errors.pmod
 *
 * Felkoder i protokoll A.
 */

/* Genererad ur specen med
 *
 * (query-replace-regexp "^[ 	]*\\([0-9]+\\)=\\([^;]*\\);\\(.*\\)$"
                         "constant \\2 = \\1;\\3" nil) 
 * (query-replace-regexp "^[ 	]*\\*\\([0-9]+\\)=\\([^;]*\\);\\(.*\\)$"
                         "// constant \\2 = \\1;\\3" nil)
 * (query-replace "!" "//" nil)
 * (query-replace-regexp "^\\([^=]*\\)-\\(.*\\)$" "\\1_\\2" nil)
 */

constant no_error = 0;		// No error has occured
          // Felkod 1 anvnds ej.
constant not_impl = 2;		// Not implemented yet
constant obsolete = 3;		// No longer implemented
constant pwd = 4;		// Wrong or illegal password
constant long_str = 5;		// String too long
constant login = 6;		// Not logged in.
constant login_disallowed = 7;	// System is in 'singel-user mode'
constant conf_zero = 8;		// Attempt to use conference number 0.
constant undef_conf = 9;		// Undefined or secret conference
constant undef_pers = 10;	// Undefined or secret person
constant access = 11; 		// No 'read/write permission'
constant perm = 12;		// No permission
constant not_member = 13;	// Not member in conf
constant no_such_text = 14;	// No such global text-no, or no access
constant text_zero = 15;		// Can't use text no 0
constant no_such_local_text = 16;// No such local text-no
constant local_text_zero = 17;	// Can't use local text no 0
constant bad_name = 18;		// Too short or too long
				// or contains illegal chars
constant index_out_of_range = 19;
constant conf_exists = 20;	// Already exists
// constant pers_exists = 21;	// Already exists 
constant secret_public = 22;	// Cannot be secret and !rd-prot
constant letter_box = 23;	// Cannot change letter-box flag
constant ldb_err = 24;		// Database is corrupted.
constant ill_misc = 25;		// Illegal misc field.
				// err-stat holds field no
constant illegal_info_type = 26;	// Info-type parameter was illegal.
				// This means that there is a
				// bug in the client.
constant already_recipient = 27;	// Already recipient to this text.
constant already_comment = 28;	// Already comment to this text.
constant already_footnote = 29;	// Already footnote to this text.
constant not_recipient = 30;	// Not recipient
constant not_comment = 31;	// Not comment to this text.
constant not_footnote = 32;	// Not footnote to this text.
constant recipient_limit = 33;	// Too many recipients
constant comm_limit = 34;	// Too many comments
constant foot_limit = 35;	// Too many footnotes
constant mark_limit = 36;	// Too many marks.
constant not_author = 37;	// Only the author may add footnotes or
				// delete texts.
constant no_connect = 38;	// Can't connect to specified server
constant out_of_memory = 39;	// Couldn't get memory for result
// constant server_is_crazy = 40;	// Client can't understand server
// constant client_is_crazy = 41;	// Client thinks that server says it
				// can't understand client.
constant undef_session = 42;	// This session doesn't exist
constant regex_error = 43;	// Regexp compilation failed
constant not_marked = 44;	// Attempt to unmark an unmarked text
constant tempfail = 45;		// Temporary failure.  Try again later
constant long_array = 46;	// An array sent to the server was too
				// big.
constant anon_rejected = 47;	// Anonymous text not allowed in conference.
