/* convert_confs_to_2.pike
 *
 * Konverterar conf-objekten till version 2, som sparar listan med
 * mtets alla inlgg i en separat tabell i databasen.
 */

int main(int argc, array(string) argv)
{
  array(int) confs = Database.conferences->db_indices();
  int force = ( (argc == 2) && (argv[1] == "force") );
  
  foreach(confs, int i)
    {
      array a =0;
      a = Database.conferences->lookup(i);
      if (!a)
	{
	  werror(sprintf("Conference %d not found.\n", i));
	  continue;
	}
      if (!a[0]->texts)
	{
	  werror(sprintf("Conference %d does not need conversion.\n", i));
	  continue;
	}
      werror(sprintf("Converting conference %d.\n", i));
      if (force)
	Database.conf_texts->store(i, a[0]->texts);
      a[0]->texts = 0;
      if (force)
	Database.conferences->update(i, a[0]);
    }
}
